nxt.http.responses

## Interface TransactionResponse

- All Known Implementing Classes:
    TransactionResponseImpl

      public interface TransactionResponse

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionResponse` | `create(java.lang.Object object)`
    `long` | `getAmount()`
    `JO` | `getAttachmentJson()`
    `long` | `getBlockId()`
    `int` | `getBlockTimestamp()`
    `int` | `getBlockTimeStamp()`
    `int` | `getChainId()`
    `int` | `getConfirmations()`
    `short` | `getDeadline()`
    `int` | `getEcBlockHeight()`
    `int` | `getECBlockHeight()`
    `long` | `getEcBlockId()`
    `long` | `getECBlockId()`
    `int` | `getExpiration()`
    `long` | `getFee()`
    `byte[]` | `getFullHash()`
    `long` | `getFxtTransaction()`
    `int` | `getHeight()`
    `short` | `getIndex()`
    `JO` | `getJson()`
    `long` | `getRandomSeed(ContractRunnerConfig config)`
    `java.lang.String` | `getRecipient()`
    `long` | `getRecipientId()`
    `java.lang.String` | `getRecipientRs()`
    `ChainTransactionId` | `getReferencedTransaction()`
    `java.lang.String` | `getSender()`
    `long` | `getSenderId()`
    `byte[]` | `getSenderPublicKey()`
    `java.lang.String` | `getSenderRs()`
    `byte[]` | `getSignature()`
    `byte[]` | `getSignatureHash()`
    `byte` | `getSubType()`
    `int` | `getTimestamp()`
    `long` | `getTransactionId()`
    `TransactionType` | `getTransactionType()`
    `byte` | `getType()`
    `java.lang.String` | `getUnsignedLongTransactionId()`
    `byte` | `getVersion()`
    `boolean` | `isBundled()`
    `boolean` | `isPhased()`
    `boolean` | `similar(TransactionResponse transactionResponse)`

- - ### Method Detail

    - #### create

          static TransactionResponse create(java.lang.Object object)

    - #### getTransactionType

          TransactionType getTransactionType()

    - #### getChainId

          int getChainId()

    - #### getSenderId

          long getSenderId()

    - #### getSender

          java.lang.String getSender()

    - #### getSenderRs

          java.lang.String getSenderRs()

    - #### getSenderPublicKey

          byte[] getSenderPublicKey()

    - #### getRecipientId

          long getRecipientId()

    - #### getRecipient

          java.lang.String getRecipient()

    - #### getRecipientRs

          java.lang.String getRecipientRs()

    - #### getHeight

          int getHeight()

    - #### getBlockId

          long getBlockId()

    - #### getIndex

          short getIndex()

    - #### getTimestamp

          int getTimestamp()

    - #### getBlockTimestamp

          int getBlockTimestamp()

    - #### getDeadline

          short getDeadline()

    - #### getExpiration

          int getExpiration()

    - #### getAmount

          long getAmount()

    - #### getFee

          long getFee()

    - #### getSignature

          byte[] getSignature()

    - #### getFullHash

          byte[] getFullHash()

    - #### getType

          byte getType()

    - #### getSubType

          byte getSubType()

    - #### getVersion

          byte getVersion()

    - #### getECBlockHeight

          int getECBlockHeight()

    - #### getECBlockId

          long getECBlockId()

    - #### isPhased

          boolean isPhased()

    - #### getFxtTransaction

          long getFxtTransaction()

    - #### getTransactionId

          long getTransactionId()

    - #### getUnsignedLongTransactionId

          java.lang.String getUnsignedLongTransactionId()

    - #### getConfirmations

          int getConfirmations()

    - #### getBlockTimeStamp

          int getBlockTimeStamp()

    - #### getReferencedTransaction

          ChainTransactionId getReferencedTransaction()

    - #### getSignatureHash

          byte[] getSignatureHash()

    - #### getEcBlockHeight

          int getEcBlockHeight()

    - #### getEcBlockId

          long getEcBlockId()

    - #### isBundled

          boolean isBundled()

    - #### getRandomSeed

          long getRandomSeed(ContractRunnerConfig config)

    - #### getAttachmentJson

          JO getAttachmentJson()

    - #### getJson

          JO getJson()

    - #### similar

          boolean similar(TransactionResponse transactionResponse)